PROJECT:=go-admin

.PHONY: build
build:
	CGO_ENABLED=0 go build -o go-admin main.go
build-sqlite:
	go build -tags sqlite3 -o go-admin main.go
#.PHONY: test
#test:
#	go test -v ./... -cover

#.PHONY: docker
#docker:
#	docker build . -t go-admin:latest


dev-windows:
	set GOARCH=amd64
	set GOOS=linux
	go build -o dev-go-admin main.go


dev:
	GOOS=linux GOARCH=amd64 go build -o dev_mh_goadmin_server main.go


beta:
	GOOS=linux GOARCH=amd64 go build -o test_mh_goadmin_server main.go


pro:
	GOOS=linux GOARCH=amd64 go build -o mh_goadmin_server main.go
